@import "./../../../../variables.scss";
.main-navbar {
    height: 70px;
    background: $Navy;
    font-family: $CodeFont;
    .menu-ul{
      li{
        margin: 0px 13px;
      }
      // First and Last li has no margin
      li:first-child{
        margin-left: 0px;
      }
      li:last-child{
        margin-right: 0px;
      }

    }
    .menu-responsive {
        position: fixed;
        top: 0px;
        bottom: 0px;
        right: 0px;
        width: 100%;
        height: 100vh;
        z-index: 10;
        transform: translateX(0vw);
        visibility: visible;
        outline: 0px;
        transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1) 0s;
        li{
          a{
            display: flex !important;
          }
          .cv-btn{
            width: fit-content !important;
            margin-left: 20px;
          }
          .language-container{
            width: 200px;
            margin-left: 18px;
            margin-top: 50px;
            padding-left: 0px;
            padding-bottom: 0px;
          }
          .language-container-selector{
            display: flex;
            img{
              width: 35px;
            }
          }

        }
    }
    .aside-show {
        transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1) 0s;
        right: 0px;
    }
    aside {
        width: 75vw;
        display: flex;
        -webkit-box-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        align-items: center;
        flex-direction: column;
        background-color: $LightNavy;
        height: 100%;
        position: relative;
        right: -625px;
        margin-left: auto;
        font-family: $CodeFont;
        box-shadow: rgba(2, 12, 27, 0.7) -10px 0px 30px -15px;
        padding: 25px;
        transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1) 0s;
        nav {
            display: flex;
            -webkit-box-pack: justify;
            justify-content: space-between;
            -webkit-box-align: center;
            align-items: center;
            width: 100%;
            flex-direction: column;
            text-align: center;
            color: $LightestSlate;
            ol {
                width: 100%;
                padding: 0px;
                margin: 0px;
                list-style: none;
                li {
                    font-size: 16px;
                    margin: 0px auto 10px;
                    span {
                        display: block;
                        color: $Green;
                        font-size: 14px;
                        margin-bottom: 5px;
                    }
                    a {
                        display: inline-block;
                        text-decoration-skip-ink: auto;
                        color: inherit;
                        position: relative;
                        cursor: pointer;
                        width: 100%;
                        text-decoration: none;
                        transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1) 0s;
                        padding: 3px 20px 20px;
                    }
                }
            }
        }
    }
    .cv-btn{
      padding: 7px 15px !important;
    }
    .nav-link {
        padding: 5px 0px;
        color: inherit;
        margin: 0px;
        font-size: 13px;
        &:hover {
            color: $Green;
        }
    }
    .nav-number {
        color: $Green;
        font-size: 12px;
    }
    .nav-text{
      color: $LightestSlate !important;
      padding-bottom: 4px;
    }
    .menu-wrapper {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 36px;
        height: 60px;
        cursor: pointer;
        z-index: 11;
        .hamburger-menu,
        .hamburger-menu:after,
        .hamburger-menu:before {
            width: 36px;
            height: 1.5px;
        }
        .hamburger-menu {
            position: relative;
            transform: translateY(25px);
            background: $Green;
            transition: all 0ms 300ms;
            &:before {
                content: "";
                position: absolute;
                left: 0;
                bottom: 8px;
                background: $Green;
                transition: bottom 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
            }
            &:after {
                content: "";
                position: absolute;
                left: 0;
                top: 8px;
                background: $Green;
                transition: top 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
            }
            &.animate {
                background: rgba(255, 255, 255, 0);
                &:after {
                    top: 0;
                    transform: rotate(45deg);
                    transition: top 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1);
                }
                &:before {
                    bottom: 0;
                    transform: rotate(-45deg);
                    transition: bottom 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1);
                }
            }
        }
    }
}

.on-top {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 9;
    height: 100px;
    transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1) 0s;
}

.nav-shadow {
    height: 70px;
    box-shadow: 0 10px 30px -10px rgba(2, 12, 27, 0.7);
    transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1) 0s;
}

@media (max-width: 1000px) {
    .main-navbar {
        .nav-link {
            margin: 0;
            padding: .5rem .7rem;
        }
    }
}

@media (max-width: 827px) {
    nav .nav {
        display: none;
    }
}

@media (min-width: 827px) {
    .menu-wrapper,
    .menu-responsive {
        display: none;
    }
}

.flag-text {
    color: inherit;
    margin: 0 10px;
    font-size: 13px;
    font-family: $CodeFont;
}

.language-container {
    padding-left: 16px;
    padding-right: 16px;
    padding-bottom: 4px;
    background: #172a45;
    border-radius: 5px;
    cursor: pointer;
}

.language-container-selector {
    margin: 0 !important;
    color: #cbd5f5 !important;
    padding: 11px 8px !important;
    text-align: center;
    background: #0a192f !important;
}

.language-container-selector.active {
    margin: 0 !important;
    color: #cbd5f5 !important;
    padding: 11px 8px !important;
    text-align: center;
    background: #172a45 !important;
}

.language-container-selector:hover {
    background: #172a45 !important;
}

// .language-container-selector.active:after {
//     content: " ";
//     background: #58e2c4;
//     width: 61%;
//     height: 1px;
//     position: absolute;
//     border-radius: 10px;
//     left: 0;
//     right: 0;
//     margin: auto;
//     margin-top: 21px;
// }
.arrow-language {
    font-size: 10px;
    height: 10px;
    width: 10px;
    fill: #64ffda;
}

::ng-deep .dropdown-toggle::after {
    display: none;
}

::ng-deep .dropdown-menu.show {
    padding: 0 !important;
    border-radius: 7px !important;
    background: #ccd6f6 !important;
    margin-top: 10px !important;
    left: 20px !important;
    box-shadow: 0 10px 30px -15px rgb(2 12 27 / 70%);
}

.arrow-active {
    font-size: 20px;
    height: 20px;
    width: 25px;
    fill: #64ffda;
    visibility: hidden;
}

.language-container-selector.active {
    .arrow-active {
        visibility: inherit;
    }
}
